{% extends '@DemosPlanCore/DemosPlanCore/base.html.twig' %}

{% block component_part %}

    <h1>
        {{ "customer.settings"|trans }}
    </h1>

    {% if "text.customer.settings"|trans != "" %}
        <p>
            {{ "text.customer.settings"|trans({ domain: [templateVars.customer.subdomain, templateVars.projectDomain]|join('.') })|wysiwyg }}
        </p>
    {% endif %}

    {% set imprintUrl = app.request.schemeAndHttpHost ~ '/impressum' %}

    <customer-settings
        current-customer-id="{{ templateVars.customer.id }}"
        imprint-url="{{ imprintUrl }}"
        :init-layer-url="JSON.parse('{{ map.publicBaselayer|json_encode|e('js', 'utf-8') }}')"
        :init-layer="JSON.parse('{{ map.publicBaselayerLayers|json_encode|e('js', 'utf-8') }}')"
        map-attribution="{{ map.mapAttribution }}"
        :map-extent="{{ map.publicExtent }}">
    </customer-settings>

{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {% if hasPermission('feature_platform_public_index_map_settings') %}
        {{ webpackBundles(['ol.js', 'user-customerSettings.js']) }}
    {% else %}
        {{ webpackBundle('user-customerSettings.js') }}
    {% endif %}
{% endblock javascripts %}
